## com.sun.pdfview.decode
Class PDFDecoder

    java.lang.Object
      com.sun.pdfview.decode.PDFDecoder

    public class PDFDecoder

extends java.lang.Object

A PDF Decoder encapsulates all the methods of decoding a stream of bytes based on all the various encoding methods.

You should use the decodeStream() method of this object rather than using any of the decoders directly.

Method Summary
`static java.nio.ByteBuffer` `decodeStream(PDFObject dict, java.nio.ByteBuffer streamBuf)` decode a byte[] stream using the filters specified in the object's dictionary (passed as argument 1).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### decodeStream

    public static java.nio.ByteBuffer decodeStream(PDFObject dict,
                                                   java.nio.ByteBuffer streamBuf)
                                            throws java.io.IOException

  decode a byte[] stream using the filters specified in the object's dictionary (passed as argument 1).

  Parameters:
    `dict` - the dictionary associated with the stream
    `streamBuf` - the data in the stream, as a byte buffer
  Throws:
    `java.io.IOException`